Saltar para o conteúdo principal
GET
/
public
/
v1
/
toppie
/
products
[BETA] List Account Products
curl --request GET \
  --url https://api.topsort.com/public/v1/toppie/products \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topsort.com/public/v1/toppie/products"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topsort.com/public/v1/toppie/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hasMore": true,
  "products": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "categories": [
        "<string>"
      ],
      "brands": [
        "<string>"
      ],
      "images": [
        "<string>"
      ]
    }
  ],
  "nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Autorizações

Authorization
string
header
obrigatório

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Parâmetros de consulta

next_page
string | null

A token provided in a previous response. If not empty, it is used to retrieve the page that follows.

limit
integer
padrão:100

Limit of products to retrieve.

Intervalo necessário: x <= 100
search
string | null

Search query for product names.

Resposta

Successful Response

hasMore
boolean
obrigatório

Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.

products
PublicAgencyProduct · object[]
obrigatório

List of products that belong to the agency

nextPage
string | null

Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.

Minimum string length: 1
Exemplo:

"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="